<?php 
// START CONTACT SECTION 
$wp_customize->add_section(
	'lz_fitness_contact_section',
	array(
		'title'         => __( 'Support Section', 'Luzuk Premium' ), 
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'lz_fitness_contact_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_contact_section_disable',
		array(
			'settings'      => 'lz_fitness_contact_section_disable',
			'section'       => 'lz_fitness_contact_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

//lzCustomLable($wp_customize, 'lz_fitness_premium_bgssforcompleteconsecdisplay', 'lz_fitness_contact_section', 'Background manager for Complete Section');

backgroundManager($wp_customize, 'contactsectb', 'lz_fitness_contact_section', $color='#ffffff', get_template_directory_uri().'/images/bg.jpg', 'color');


$wp_customize->add_setting(
	'lz_fitness_contact_phonetitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'DO YOU HAVE ANY QUESTION?', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contact_phonetitle',
	array(
		'settings'      => 'lz_fitness_contact_phonetitle',
		'section'       => 'lz_fitness_contact_section',
		'type'          => 'text',
		'label'         => __( 'Support Tagline', 'Luzuk Premium' )
	)
);
addColorPalatOption($wp_customize, 'lz_fitness_contactphonetagline_Color', 'lz_fitness_contact_section', 'Support Tagline color', '#ffffff');

$wp_customize->add_setting(
	'lz_fitness_contact_subphonetitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'FEEL FREE TO REQUEST FOR A QUOTE', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contact_subphonetitle',
	array(
		'settings'      => 'lz_fitness_contact_subphonetitle',
		'section'       => 'lz_fitness_contact_section',
		'type'          => 'text',
		'label'         => __( 'Support Text', 'Luzuk Premium' )
	)
);
// Contact color
addColorPalatOption($wp_customize, 'lz_fitness_contactphonenumc_Color', 'lz_fitness_contact_section', 'Support Text Color', '#ffffff');


// lzCustomLable($wp_customize, 'lz_fitness_contactsectionbutton1display', 'lz_fitness_contact_section', 'Button Display, Button Text & Button Colors Setting:');
// // to show & hide another button
// $wp_customize->add_setting( 'homepagecontactbtnection_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'homepagecontactbtnection_button_display', array( 'label' => 'Button Display', 'section' => 'lz_fitness_contact_section', 'settings' => 'homepagecontactbtnection_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
	'homepagecontactheading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Quick Inquiry', 'Luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'homepagecontactheading',
	array(
		'settings'      => 'homepagecontactheading',
		'section'       => 'lz_fitness_contact_section',
		'type'          => 'text',
		'label'         => __( 'Contact Form Heading', 'Luzuk Premium' )
	)
);
//add shortcode textbox
lzAddElement($wp_customize, 'lz_contacth_shortcode', 'lz_fitness_contact_section', 'text', $label="Add Shortcode here", 'lz_fitness_sanitize_text', '[form shortcode here]');

addColorPalatOption($wp_customize, 'lz_fitness_contactheading_Color', 'lz_fitness_contact_section', 'Form Heading Text color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_contactbuttontxt_Color', 'lz_fitness_contact_section', 'Form text & Placeholder Text color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_contactbuttontxtbrdr_Color', 'lz_fitness_contact_section', 'Form  text bottom Border color', '#d4bbff');

addColorPalatOption($wp_customize, 'lz_fitness_btntext_Color', 'lz_fitness_contact_section', 'Button Text color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_btntexthvrc_Color', 'lz_fitness_contact_section', 'Button Text Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_contactbtnhvrhgtbrsborder_Color', 'lz_fitness_contact_section', 'Button Background Color', '#d4bbff');

addColorPalatOption($wp_customize, 'lz_fitness_contactbtnborderhvr_Color', 'lz_fitness_contact_section', 'Button Hover Border color', '#fff');

addColorPalatOption($wp_customize, 'lz_fitness_contactbtnbgsshvr_Color', 'lz_fitness_contact_section', 'Button Hover Background color', '#5e3cad');


